Subject: RE: authmgr?

From: "Nixon, Anthony" <[email-masked]>
Date: Mon, 15 May 2000 08:30:39 -0400

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

You are correct about telneting into authsrv. I tried 'telnet localhost
7777' and got connection refused. When telneting locally without specifying
the port (telnet localhost), I got in. My inetd.conf file reads as such for
auth:

auth  stream  tcp  wait  root  /usr/local/etc/authsrv  authsrv

I have also tried changing it to:

authsrv  stream  tcp  wait  root  /usr/loca/etc/authsrv  authsrv

and when I did, telneting into localhost 7777 locked up the system. When
performing a netstat -a, I do see auth 'LISTENING' along with http, telnet,
and ftp-gw. I have rebooted several times, restarted the inetd daemon, and
kill -HUP # (ps -A reported inetd as pid 591), etc. Is my inetd.conf
statement correct (the upper statement)? Again, thanks very much for your
help Rick.

> -----Original Message-----
> From: Rick Murphy [mailto:[email-masked]]
> Sent: Friday, May 12, 2000 10:03 PM
> To: Nixon, Anthony
> Cc: [email-masked]'
> Subject: RE: authmgr?
> 
> 
> At 12:01 PM 5/12/00 -0400, Nixon, Anthony wrote:
> >I did. That section of the netperm-table file actually reads:
> 
> OK, but what about the other questions:
> 
> > > How are you running authsrv? What happens when you 'telnet
> > > localhost 7777'?
> > >          -Rick
> > >
> If your netperm-table is set up right, then you probably don't have 
> anything listening on the authsrv port - either your 
> inetd.conf line for 
> authsrv is wrong or you haven't HUP'd inetd.
>          -Rick
>

---

From: Ted Keller <[email-masked]>
Date: Mon, 15 May 2000 11:50:47 -0400 (EDT)

Anthony,

Do you have auth defined as port 7777 in your /etc/services file?

ted keller

---

From: Rick Murphy <[email-masked]>
Date: Mon, 15 May 2000 20:17:06 -0400

>authsrv  stream  tcp  wait  root  /usr/loca/etc/authsrv  authsrv

1. Dump the 'auth' line - if that's identd (port 113), there's nothing in 
FWTK that needs you to make that change. You should have the following in 
your /etc/services:
% grep auth /etc/services
auth            113/tcp         authentication
authsrv         7777/tcp

2. If your 'authsrv' line in /etc/services says 7777/tcp, and you have the 
authsrv line above in your inetd.conf, there should be a listener on port 
7777 - again, ***NOT*** auth, but 7777. If not, try kill -HUP <pid of 
inetd> to get inetd to start listening to it.
% netstat -a | grep auth
tcp        0      0  *.authsrv              *.*                    LISTEN
tcp        0      0  *.auth                 *.*                    LISTEN

3. '/usr/loca/etc' should be /usr/local/etc, but I suspect that's a typo.
         -Rick